windowsHelloForBusinessAuthenticationMethod 资源类型

命名空间:microsoft.graph

注册到Windows Hello For Business 身份验证方法的表示形式。 Windows Hello For Business 是一种登录身份验证方法,Windows设备。

继承自 authenticationMethod

方法

方法 返回类型 说明
列出 windowsHelloForBusinessAuthenticationMethods windowsHelloForBusinessAuthenticationMethod 集合 获取 windowsHelloForBusinessAuthenticationMethod 对象及其属性的列表。
获取 windowsHelloForBusinessAuthenticationMethod windowsHelloForBusinessAuthenticationMethod 读取 windowsHelloForBusinessAuthenticationMethod 对象的属性和 关系。
删除 windowsHelloForBusinessAuthenticationMethod 删除 windowsHelloForBusinessAuthenticationMethod 对象。

属性

属性 类型 说明
createdDateTime DateTimeOffset 注册此 Windows Hello for Business 密钥的日期和时间。
displayName String 注册 Windows Hello for Business 的设备的名称
id String 此身份验证方法的唯一标识符。 继承自 authenticationMethod
keyStrength authenticationMethodKeyStrength 此密钥的关键强度Windows Hello For Business 密钥。 可取值为:normalweakunknown

关系

关系 类型 说明
设备 设备 Business 密钥所在的Windows Hello注册设备。 支持 $expand

获取用户的注册信息时Windows Hello注册信息时,仅在单个 GET 上和指定 时返回此属性?$expand。 例如,GET /users/admin@contoso.com/authentication/windowsHelloForBusinessMethods/_jpuR-TGZtk6aQCLF3BQjA2?$expand=device

JSON 表示形式

下面是资源的 JSON 表示形式。

{
  "@odata.type": "#microsoft.graph.windowsHelloForBusinessAuthenticationMethod",
  "id": "String (Identifier)",
  "displayName": "String",
  "createdDateTime": "String",
  "keyStrength": {"@odata.type": "microsoft.graph.authenticationMethodKeyStrength"}
}